Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class FocusListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<FocusListener>
                  com.google.gwt.user.client.ui.FocusListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<FocusListener>, java.util.Collection<FocusListener>, java.util.List<FocusListener>, java.util.RandomAccess

Direct Known Subclasses:
  DelegatingFocusListenerCollection

Deprecated. Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type)`

    @Deprecated
    public class FocusListenerCollection

extends java.util.ArrayList<FocusListener>

A helper class for implementers of the `SourcesFocusEvents` interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `FocusListener`

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FocusListenerCollection()` Deprecated.

Method Summary
`void` | `fireFocus(Widget sender)` Deprecated. Fires a focus event to all listeners.
`void` | `fireFocusEvent(Widget sender, Event event)` Deprecated. A helper for widgets that source focus events.
`void` | `fireLostFocus(Widget sender)` Deprecated. Fires a lost-focus event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`containsAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode`

Constructor Detail

### FocusListenerCollection

    public FocusListenerCollection()

  Deprecated.

Method Detail

### fireFocus

    public void fireFocus(Widget sender)

  Deprecated.
  Fires a focus event to all listeners.

  Parameters:
    `sender` - the widget sending the event.

### fireFocusEvent

    public void fireFocusEvent(Widget sender,
                               Event event)

  Deprecated.
  A helper for widgets that source focus events.

  Parameters:
    `sender` - the widget sending the event.
    `event` - the `DOM event` received by the widget.

### fireLostFocus

    public void fireLostFocus(Widget sender)

  Deprecated.
  Fires a lost-focus event to all listeners.

  Parameters:
    `sender` - the widget sending the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD